ServerEvents.recipes(event => {







    //Shoppy
        event.shaped(
            Item.of('framedblocks:framed_iron_door', 1), 
            [
            'BAB'
            ],
            {
            A: '#minecraft:wooden_doors',
            B: 'tfc:metal/ingot/wrought_iron'
            }
        )

        event.shaped(
            Item.of('framedblocks:framing_saw', 1), 
            [
                ' B ',
                'AAA'
            ],
            {
                A: 'framedblocks:framed_cube',
                B: 'immersiveengineering:sawblade'
            }
        )

        event.shaped(
            Item.of('framedblocks:framed_key', 1), 
            [
                'CCA',
                'BB '
            ],
            {
                A: 'framedblocks:framed_cube',
                B: 'tfc:metal/ingot/wrought_iron',
                C: '#forge:rods/wooden'
            }
        )


        event.shapeless(
            Item.of('framedblocks:framed_fancy_rail', 1),
            [
              'framedblocks:framed_cube',
              'minecraft:rail'
            ]
          )


          event.shapeless(
              Item.of('framedblocks:framed_fancy_activator_rail', 1),
              [
                'framedblocks:framed_cube',
                'railcraft:iron_activator_track'
              ]
            )


            event.shapeless(
                Item.of('framedblocks:framed_fancy_detector_rail', 1),
                [
                  'framedblocks:framed_cube',
                  'railcraft:iron_detector_track'
                ]
              )


              event.shapeless(
                  Item.of('framedblocks:framed_fancy_powered_rail', 1),
                  [
                    'framedblocks:framed_cube',
                    'railcraft:iron_booster_track'
                  ]
                )



})